   /*          +-----------------------------------------------+
               !                                               !
               !             SYMBOL Definitions                !
               !                                               !
               +-----------------------------------------------+      */

#define   IDENTIFIER      1            /* next_symbol return types */
#define   LITERAL         2
#define   INTEGER         3
#define   FLOAT           4
#define   SPECIAL         5
#define   OTHER           6
#define   EOS             7

#define   MAX_SYMBOL     81            /* Max. symbol length          */
#define   MAX_INPUT     121            /* Max. input length           */      

#define   TRUE            1            /* True  Definition            */
#define   FALSE           0            /* False Definition            */

typedef   struct nscbblock   {         /* next_symbol communication block */
   int       nextc     ;               /*    Symbol offset within line    */
   int       nextp     ;               /*    Next offset to start scan    */
   int       nextt     ;               /*    Symbol type (values 1-6)     */
}  NSCB ,   *NSCBPTR   ;
